<template>
  <v-card
    class="piece"
    :class="{ grouped: item.group }"
    :data-id="item.id"
  >
    <v-layout
      justify-space-between
      align-center
    >
      <v-card-title>{{ item.name }} | {{ item.group }}</v-card-title>
      <v-btn @click="item.group = !item.group">
        <v-icon
          class="icon-toggle"
          v-text="item.group ? 'fas fa-check' : 'fas fa-times'"
        >
          fas fa-link
        </v-icon>
      </v-btn>
    </v-layout>
  </v-card>
</template>

<script>
export default {
  props: ['item']
}
</script>

<style>
  .piece{
    margin: 5px;
  }
  .grouped{
    background-color: rgb(250, 250, 250) !important;
  }
  .moving{
    background-color: white !important;
    box-shadow: 0 0 10px 1px rgba(0,0,0,0.5);
    z-index: 2;
  }
</style>
